#ifndef _ECS_COMM_PUBL_H_
#define _ECS_COMM_PUBL_H_

/*============================================================================
 *  Dfinition publique  de la structure `ecs_comm_t' dcrivant
 *   un communicateur
 *
 *  Dfinition de messages pour la communication
 *============================================================================*/

/*
                      Code_Saturne version 1.3
                      ------------------------

  This file is part of the Code_Saturne Preprocessor, element of the
  Code_Saturne CFD tool.

  Copyright (C) 1999-2007 EDF S.A., France

  contact: saturne-support@edf.fr

  The Code_Saturne Preprocessor is free software; you can redistribute it
  and/or modify it under the terms of the GNU General Public License
  as published by the Free Software Foundation; either version 2 of
  the License, or (at your option) any later version.

  The Code_Saturne Preprocessor is distributed in the hope that it will be
  useful, but WITHOUT ANY WARRANTY; without even the implied warranty
  of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.

  You should have received a copy of the GNU General Public License
  along with the Code_Saturne Preprocessor; if not, write to the
  Free Software Foundation, Inc.,
  51 Franklin St, Fifth Floor,
  Boston, MA  02110-1301  USA
*/


/*============================================================================
 *                                 Visibilit
 *============================================================================*/


/*----------------------------------------------------------------------------
 *  Fichiers `include' librairie standard C
 *----------------------------------------------------------------------------*/



/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  du  paquetage global "Utilitaire"
 *----------------------------------------------------------------------------*/

#include "ecs_def.h"


/*----------------------------------------------------------------------------
 *  Fichiers `include' publics  des paquetages visibles
 *----------------------------------------------------------------------------*/


/*============================================================================
 *                          Dfinitions d'numerations
 *============================================================================*/


/*----------------------------------------------------------------------------
 *  Type de communicateur
 *----------------------------------------------------------------------------*/

typedef enum {

  ECS_COMM_TYP_ASCII          , /* Messages par fichiers ASCII                */
  ECS_COMM_TYP_BINAIRE_FORTRAN, /* Messages par fichiers binaires Fortran     */
  ECS_COMM_TYP_NULL             /* Communicateur nul (pour Enveloppe seule)   */

} ecs_comm_typ_t ;


/*============================================================================
 *                       Dfinition de macros
 *============================================================================*/


#define ECS_COMM_LNG_NOM_RUB                              32
#define ECS_COMM_LNG_NOM_TYP_ELT                           2
#define ECS_COMM_LNG_NUM_RUB                               4

#define ECS_COMM_NOM_TYP_ELT_CHAINE                     "c "
#define ECS_COMM_NOM_TYP_ELT_ENTIER                     "i "
#define ECS_COMM_NOM_TYP_ELT_REEL_4                     "r4"
#define ECS_COMM_NOM_TYP_ELT_REEL_8                     "r8"


/* Format Texte */

#define ECS_COMM_FMT_ASCII_INT                        "%10d"
#define ECS_COMM_FMT_ASCII_REAL                    "%23.15E"
#define ECS_COMM_FMT_ASCII_NBR_COLONNE                     3


/*============================================================================
 *                           Dclaration de structures
 *============================================================================*/


typedef struct _ecs_comm_t ecs_comm_t ;


#endif /* _ECS_COMM_PUBL_H_ */
